Subject: bug#4616: Follow-up: handling #!

From: Markus Rost <[email-masked]>
Date: Sat, 3 Oct 2009 18:11:47 +0200 (CEST)

It appears that read1 in lread.c handles "#!" like a comment line
starting with ";".

Well, except if the "#!"-line is at the *end* of the buffer, then
eval-buffer or eval-region will yield an "End of file during parsing"
error, similarly as reported in the previous mail.

Besides this bug, is it intended to have "#!" as additional comment
syntax?

I would expect a special handling of "#!" only with --script (cf.
-scriptload in startup.el) and only if it appears at the beginning of
a file.

Normally eval-region should not handle "#!" specially, I guess.